package com.chelvc.cloud.vehicle.api.constant;

import lombok.Getter;

/**
 * 优惠券活动发送类型枚举
 *
 * @author qizai
 * @date 2023/11/10
 */
@Getter
public enum CouponFrequency {

    /**
     * 每天
     */
    DAY("每天"),
    /**
     * 每周
     */
    WEEK("每周"),
    /**
     * 每月
     */
    MONTH("每月");

    /**
     * 类型描述
     */
    private final String description;

    CouponFrequency(String str) {
        this.description = str;
    }

    public static boolean exist(String name) {
        try {
            CouponFrequency.valueOf(name);
        } catch (IllegalArgumentException e) {
            return false;
        }
        return true;
    }

}
