package com.chelvc.cloud.vehicle.api.constant;


import lombok.Getter;

/**
 * 优惠券时间范围枚举
 *
 * @author qizai
 * @date 2023/11/13
 */
@Getter
public enum CouponRangeDay {

    /**
     * 固定时间
     */
    FIXEDTIME("固定时间"),
    /**
     * 动态时间
     */
    DYNAMICTIME("动态时间");

    /**
     * 类型描述
     */
    private final String description;

    CouponRangeDay(String description) {
        this.description = description;
    }

    public static boolean exist(String name) {
        try {
            CouponRangeDay.valueOf(name);
        } catch (IllegalArgumentException e) {
            return false;
        }
        return true;
    }
}
