package com.chelvc.cloud.vehicle.api.constant;

import lombok.Getter;

/**
 * 促销适用范围类型枚举
 *
 * @author qizai
 * @date 2023/11/10
 */
@Getter
public enum PromotionScopeType {

    /**
     * 全品类
     */
    ALL("全品类"),
    /**
     * 部分商品分类
     */
    PORTION_GOODS_CATEGORY("部分商品分类"),
    /**
     * 部分店铺分类
     */
    PORTION_SHOP_CATEGORY("部分店铺分类"),
    /**
     * 指定商品
     */
    PORTION_GOODS("指定商品");

    /**
     * 状态描述
     */
    private final String description;

    PromotionScopeType(String description) {
        this.description = description;
    }
}
