package com.chelvc.cloud.vehicle.api.constant;


import lombok.Getter;

/**
 * 促销分类枚举
 *
 * @author qizai
 * @date 2023/11/12
 */
@Getter
public enum PromotionType {
    /**
     * 拼团
     */
    PINTUAN("拼团"),

    /**
     * 秒杀
     */
    SECKILL("秒杀"),

    /**
     * 优惠券
     */
    COUPON("优惠券"),

    /**
     * 平台优惠券
     */
    PLATFORM_COUPON("平台优惠券"),

    /**
     * 满减
     */
    FULL_DISCOUNT("满减"),

    /**
     * 积分商品
     */
    POINTS_GOODS("积分商品"),

    /**
     * 砍价
     */
    KANJIA("砍价"),

    /**
     * 优惠券活动
     */
    COUPON_ACTIVITY("优惠券活动");

    /**
     * 有促销库存的活动类型
     */
    static final PromotionType[] haveStockPromotion = new PromotionType[]{PINTUAN, SECKILL, KANJIA, POINTS_GOODS};

    /**
     * 状态描述
     */
    private final String description;

    PromotionType(String description) {
        this.description = description;
    }

    /**
     * 是否拥有库存
     */
    public static boolean haveStock(String promotionType) {
        for (PromotionType type : haveStockPromotion) {
            if (type.name().equals(promotionType)) {
                return true;
            }
        }
        return false;
    }
}
