package com.chelvc.cloud.vehicle.api.dto;

import com.chelvc.cloud.vehicle.api.constant.CouponStatus;
import com.chelvc.cloud.vehicle.api.constant.CouponType;
import com.chelvc.cloud.vehicle.api.constant.PromotionScopeType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 优惠券活动信息
 *
 * @author qizai
 * @date 2023/11/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CouponActivityDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商家名称，如果是平台，这个值为platform
     */
    private String merchantName;

    /**
     * 商家id，如果是平台，这个值为0
     */
    private String merchantId;

    /**
     * 活动名称
     */
    private String promotionName;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动名称
     */
    private Date endTime;

    /**
     * 关联范围类型
     */
    private PromotionScopeType scopeType;

    /**
     * 范围关联的id
     */
    private String scopeId;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;
}
