package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.chelvc.cloud.vehicle.api.constant.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 优惠券信息
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CouponDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 商家名称，如果是平台，这个值为platform
     */
    private String merchantName;

    /**
     * 优惠券类型
     */
    private CouponType type;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 优惠券金额
     */
    private Double amount;

    /**
     * 消费门槛
     */
    private Double consumeThreshold;

    /**
     * 优惠折扣
     */
    private Double discount;

    /**
     * 优惠券描述
     */
    private String description;

    /**
     * 优惠券状态
     */
    private PromotionStatus status;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 活动名称
     */
    private String promotionName;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 关联范围类型
     */
    private PromotionScopeType scopeType;

    /**
     * 范围关联的id
     */
    private String scopeId;

    /**
     * 是否已删除
     */
    private Boolean deleted;

    /**
     * 限制领取数量
     */
    private Integer limitNum;

    /**
     * 发行数量
     */
    private Integer publishNum;

    /**
     * 已被领取的数量
     */
    private Integer receivedNum;

    /**
     * 已被使用的数量
     */
    private Integer usedNum;

    /**
     * 优惠券获取方式类型
     */
    private CouponClaimType claimType;

    /**
     * 时间范围类型
     */
    private CouponRangeDay rangeDayType;

    /**
     * 有效天数
     */
    private Integer effectiveDays;

    /**
     * 促销状态
     */
    private PromotionStatus promotionStatus;

    /**
     * 优惠券关联商品集合
     */
    private List<PromotionGoodsDTO> promotionGoodsList;
}
