package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.NotBlank;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 文章更新参数
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleModifyParam implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 文章标题
     */
    @NotBlank(message = "文章标题不能为空")
    private String title;

    /**
     * 文章内容
     */
    @NotBlank(message = "文章内容不能为空")
    private String content;

    /**
     * 附件列表
     */
    private String attachments;

    /**
     * 浏览量
     */
    private Integer viewCount;

    /**
     * 状态
     */
    private String status;

}
