package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.PromotionScopeType;
import com.chelvc.cloud.vehicle.api.constant.PromotionStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;


/**
 * 促销活动基础查询参数
 *
 * @author qizai
 * @date 2023/11/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class BasePromotionQueryParam implements Serializable {

    /**
     * 活动ID
     */
    private Long id;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 活动状态 如需同时判断多个活动状态','分割
     */
    private String promotionStatus;

    /**
     * 关联范围类型
     */
    private PromotionScopeType scopeType;

    /**
     * 商家ID 如有多个','分割
     */
    private String merchantId;
}
