package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 优惠券活动项目信息更新参数
 *
 * @author qizai
 * @date 2023/11/13
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CouponActivityItemModifyParam implements Serializable {

    /**
     * 优惠券活动ID
     */
    @NotNull(message = "优惠券活动ID不能为空")
    private Long activityId;

    /**
     * 优惠券ID
     */
    @NotNull(message = "优惠券ID不能为空")
    private Long couponId;

    /**
     * 优惠券数量
     */
    @NotNull(message = "优惠券数量不能为空")
    private Integer num;
}