package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import java.util.List;

import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 询价更新参数
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EnquireModifyParam implements Serializable {

    /**
     * 询价类型
     */
    private String categoryId;

    /**
     * 询价内容
     */
    private String content;

    /**
     * 附件列表
     */
    private List<File> attachments;

    /**
     * 经度
     */
    private Double latitude;

    /**
     * 纬度
     */
    private Double longitude;

    /**
     * 状态
     */
    private String status;
}
