package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.PromotionType;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 促销商品查询参数
 *
 * @author qizai
 * @date 2023/11/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class PromotionGoodsQueryParam extends BasePromotionQueryParam {

    /**
     * 促销活动ID
     */
    private Long promotionId;

    /**
     * 促销类型
     */
    private PromotionType promotionType;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品分类路径
     */
    private String categoryPath;

    /**
     * 促销活动ID
     */
    private List<Long> promotionIds;
}
