package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.ArticleDTO;
import com.chelvc.cloud.vehicle.api.param.ArticleModifyParam;
import com.chelvc.cloud.vehicle.api.param.ArticlePagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 文章业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface ArticleService {
    /**
     * 添加文章
     *
     * @param param 新增参数
     * @return 文章主键
     */
    Long addArticle(ArticleModifyParam param);

    /**
     * 更新文章
     *
     * @param param 更新参数
     * @param id 主键
     */
    void updateArticle(Long id, ArticleModifyParam param);

    /**
     * id查找文章信息
     *
     * @param id
     * @return
     */
    ArticleDTO getArticle(Long id);

    /**
     * 分页查询
     *
     * @param param 分页参数
     * @return
     */
    Pagination<ArticleDTO> getArticlePaging(ArticlePagingParam param);
}
