package com.chelvc.cloud.vehicle.api.service;


import com.chelvc.cloud.vehicle.api.param.EnquireReplyModifyParam;
import com.chelvc.cloud.vehicle.api.param.EnquireReplyPagingParam;
import com.chelvc.cloud.vehicle.api.dto.EnquireReplyDTO;
import com.chelvc.framework.common.model.Pagination;

/**
 * 询价回复业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface EnquireReplyService {

    /**
     * 添加询价回复
     *
     * @param param 新增参数
     * @return 询价回复主键
     */
    Long addEnquireReply(EnquireReplyModifyParam param);

    /**
     * 更新询价回复
     *
     * @param param 更新参数
     * @param id 主键
     */
    void updateEnquireReply(Long id, EnquireReplyModifyParam param);

    /**
     * id查找询价回复信息
     *
     * @param id
     * @return
     */
    EnquireReplyDTO getEnquireReply(Long id);

    /**
     * 分页查询
     *
     * @param param 分页参数
     * @return
     */
    Pagination<EnquireReplyDTO> getEnquireReplyPaging(EnquireReplyPagingParam param);
}
