package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.EnquireDTO;
import com.chelvc.cloud.vehicle.api.param.EnquireModifyParam;
import com.chelvc.cloud.vehicle.api.param.EnquirePagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 询价业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface EnquireService {
    /**
     * 添加询价
     *
     * @param param 新增参数
     * @return 询价主键
     */
    Long addEnquire(EnquireModifyParam param);

    /**
     * 更新询价
     *
     * @param param 更新参数
     * @param id 主键
     */
    void updateEnquire(Long id, EnquireModifyParam param);

    /**
     * id查找询价信息
     *
     * @param id
     * @return
     */
    EnquireDTO getEnquire(Long id);

    /**
     * 分页查询
     *
     * @param param 分页参数
     * @return
     */
    Pagination<EnquireDTO> getEnquirePaging(EnquirePagingParam param);
}
