package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.HotWordsDTO;

import java.util.List;

/**
 * 热词业务操作接口
 *
 * @author qizai
 * @date 2023/11/3
 */
public interface HotWordsService {

    /**
     * 获取热门关键词
     *
     * @param number 热词数量
     * @return 热词集合
     */
    List<String> listHotWords(Integer number);

    /**
     * 设置热门关键词
     *
     * @param hotWords 热词分数
     */
    void setHotWords(HotWordsDTO hotWords);

    /**
     * 删除热门关键词
     *
     * @param keywords 热词
     */
    void deleteHotWords(String keywords);

}
