package com.chelvc.cloud.vehicle.api.service;


import com.chelvc.cloud.vehicle.api.dto.ShareDTO;
import com.chelvc.cloud.vehicle.api.param.SharePagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 分享记录业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface ShareService {

    /**
     * 添加分享记录
     *
     * @param 
     * @return 分享记录主键
     */
    Long addShare();

    /**
     * id查找分享记录信息
     *
     * @param id
     * @return
     */
    ShareDTO getShare(Long id);

    /**
     * 分页查询
     *
     * @param param 分页参数
     * @return
     */
    Pagination<ShareDTO> getSharePaging(SharePagingParam param);
}
