package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.ArticleDTO;
import com.chelvc.cloud.vehicle.api.param.ArticleModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Article;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 文章对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface ArticleCopier {

    /**
     * 对象拷贝接口实例
     */
    ArticleCopier INSTANCE = Mappers.getMapper(ArticleCopier.class);

    /**
     * 文章信息拷贝
     *
     * @param article 文章信息
     * @return 文章信息
     */
    ArticleDTO copying(Article article);

    /**
     * 文章信息拷贝
     *
     * @param param 文章更新参数
     * @return 文章信息
     */
    Article copying(ArticleModifyParam param);

    /**
     * 文章信息拷贝
     *
     * @param param  文章更新参数
     * @param article 文章信息
     */
    void copying(ArticleModifyParam param, @MappingTarget Article article);

}
