package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.CouponActivityDTO;
import com.chelvc.cloud.vehicle.api.param.CouponActivityModifyParam;
import com.chelvc.cloud.vehicle.server.entity.CouponActivity;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 优惠券活动对象拷贝接口
 *
 * @author qizai
 * @date 2023/11/10
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CouponActivityCopier {
    /**
     * 对象拷贝接口实例
     */
    CouponActivityCopier INSTANCE = Mappers.getMapper(CouponActivityCopier.class);

    /**
     * 优惠券活动信息拷贝
     *
     * @param couponActivity 优惠券活动信息
     * @return 优惠券活动信息
     */
    CouponActivityDTO copying(CouponActivity couponActivity);

    /**
     * 优惠券信息拷贝
     *
     * @param param 优惠券活动更新参数
     * @return 优惠券活动信息
     */
    CouponActivity copying(CouponActivityModifyParam param);

    /**
     * 优惠券信息拷贝
     *
     * @param param  优惠券活动更新参数
     * @param couponActivity 优惠券活动信息
     */
    void copying(CouponActivityModifyParam param, @MappingTarget CouponActivity couponActivity);
}
