package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.EnquireDTO;
import com.chelvc.cloud.vehicle.api.param.EnquireModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Enquire;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 询价对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface EnquireCopier {

    /**
     * 对象拷贝接口实例
     */
    EnquireCopier INSTANCE = Mappers.getMapper(EnquireCopier.class);

    /**
     * 询价信息拷贝
     *
     * @param enquire 询价信息
     * @return 询价信息
     */
    EnquireDTO copying(Enquire enquire);

    /**
     * 询价信息拷贝
     *
     * @param param 询价更新参数
     * @return 询价信息
     */
    Enquire copying(EnquireModifyParam param);

    /**
     * 询价信息拷贝
     *
     * @param param  询价更新参数
     * @param enquire 询价信息
     */
    void copying(EnquireModifyParam param, @MappingTarget Enquire enquire);

}
