package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.EnquireReplyDTO;
import com.chelvc.cloud.vehicle.api.param.EnquireReplyModifyParam;
import com.chelvc.cloud.vehicle.server.entity.EnquireReply;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 询价回复对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface EnquireReplyCopier {

    /**
     * 对象拷贝接口实例
     */
    EnquireReplyCopier INSTANCE = Mappers.getMapper(EnquireReplyCopier.class);

    /**
     * 询价回复信息拷贝
     *
     * @param enquireReply 询价回复信息
     * @return 询价回复信息
     */
    EnquireReplyDTO copying(EnquireReply enquireReply);

    /**
     * 询价回复信息拷贝
     *
     * @param param 询价回复更新参数
     * @return 询价回复信息
     */
    EnquireReply copying(EnquireReplyModifyParam param);

    /**
     * 询价回复信息拷贝
     *
     * @param param  询价回复更新参数
     * @param enquireReply 询价回复信息
     */
    void copying(EnquireReplyModifyParam param, @MappingTarget EnquireReply enquireReply);

}
