package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.ShareDTO;
import com.chelvc.cloud.vehicle.server.entity.Share;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 分享记录对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface ShareCopier {

    /**
     * 对象拷贝接口实例
     */
    ShareCopier INSTANCE = Mappers.getMapper(ShareCopier.class);

    /**
     * 分享记录信息拷贝
     *
     * @param share 分享记录信息
     * @return 分享记录信息
     */
    ShareDTO copying(Share share);
}
