package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.cloud.vehicle.api.constant.*;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 优惠券数据模型
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class Coupon extends BasePromotion {

    /**
     * 优惠券类型
     */
    private CouponType type;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 优惠券金额
     */
    private Double amount;

    /**
     * 消费门槛
     */
    private Double consumeThreshold;

    /**
     * 优惠折扣
     */
    private Double discount;

    /**
     * 优惠券描述
     */
    private String description;

    /**
     * 优惠券状态
     */
    private PromotionStatus status;

    /**
     * 限制领取数量
     */
    private Integer limitNum;

    /**
     * 发行数量
     */
    private Integer publishNum;

    /**
     * 已被领取的数量
     */
    private Integer receivedNum;

    /**
     * 已被使用的数量
     */
    private Integer usedNum;

    /**
     * 优惠券获取方式类型
     */
    private CouponClaimType claimType;

    /**
     * 时间范围类型
     */
    private CouponRangeDay rangeDayType;

    /**
     * 有效天数
     */
    private Integer effectiveDays;

    /**
     * 促销状态
     */
    @TableField(exist = false)
    private PromotionStatus promotionStatus;

    /**
     * 优惠券关联商品集合
     */
    @TableField(exist = false)
    private List<PromotionGoods> promotionGoodsList;
}
