package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.cloud.vehicle.api.constant.CouponActivitySendType;
import com.chelvc.cloud.vehicle.api.constant.CouponActivityType;
import com.chelvc.cloud.vehicle.api.constant.CouponFrequency;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 优惠券活动数据模型
 *
 * @author qizai
 * @date 2023/11/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CouponActivity extends BasePromotion {

    /**
     * 优惠券活动类型
     */
    private CouponActivityType couponActivityType;

    /**
     * 活动范围
     */
    private CouponActivitySendType activityScope;

    /**
     * 领取周期
     */
    private CouponFrequency couponFrequency;

    /**
     * 活动范围详情,只有精准发券使用
     */
    private String activityScopeInfo;

    /**
     * 优惠券列表
     */
    @TableField(exist = false)
    private List<CouponActivityItem> couponActivityItems;

    /**
     * 用户列表
     */
    @TableField(exist = false)
    private List<User> users;

}