package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.ModifyEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;


/**
 * 优惠券活动项目数据模型
 *
 * @author qizai
 * @date 2023/11/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CouponActivityItem extends ModifyEntity<Long> {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 优惠券活动ID
     */
    private Long activityId;

    /**
     * 优惠券ID
     */
    private Long couponId;

    /**
     * 优惠券数量
     */
    private Integer num;
}