package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 满优惠活动数据模型
 *
 * @author qizai
 * @date 2023/11/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class FullDiscount extends BasePromotion {

    /**
     * 优惠门槛金额
     */
    @NotNull(message = "请填写优惠门槛")
    @DecimalMax(value = "99999999.00", message = "优惠券门槛金额超出限制")
    private Double fullMoney;

    /**
     * 活动是否减现金
     */
    private Boolean fullMinusFlag;

    /**
     * 减现金
     */
    private Double fullMinus;

    /**
     * 是否打折
     */
    private Boolean fullRateFlag;

    /**
     * 打折
     */
    private Double fullRate;

    /**
     * 是否赠送积分
     */
    private Boolean pointFlag;

    /**
     * 赠送多少积分
     */
    private Integer point;

    /**
     * 是否包邮
     */
    private Boolean freeFreightFlag;

    /**
     * 是否有赠品
     */
    private Boolean giftFlag;

    /**
     * 赠品ID
     */
    private Long giftId;

    /**
     * 是否赠优惠券
     */
    private Boolean couponFlag;

    /**
     * 优惠券ID
     */
    private Long couponId;

    /**
     * 活动标题
     */
    @NotEmpty(message = "活动标题不能为空")
    private String title;

    /**
     * 活动说明
     */
    private String description;
}