package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.cloud.vehicle.api.constant.GoodsType;
import com.chelvc.cloud.vehicle.api.constant.PromotionScopeType;
import com.chelvc.cloud.vehicle.api.constant.PromotionType;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 促销活动商品数据模型
 *
 * @author qizai
 * @date 2023/11/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class PromotionGoods extends BasePromotion {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 商家名称
     */
    private String merchantName;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 缩略图
     */
    private String thumbnail;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 活动ID
     */
    private Long promotionId;

    /**
     * 促销类型
     */
    private PromotionType promotionType;

    /**
     * 商品类型
     */
    private GoodsType goodsType;

    /**
     * 活动标题
     */
    private String title;

    /**
     * 卖出的商品数量
     */
    private Integer num;

    /**
     * 原价
     */
    private Double originalPrice;

    /**
     * 促销价格
     */
    private Double price;

    /**
     * 兑换积分
     */
    private Long points;

    /**
     * 限购数量
     */
    private Integer limitNum;

    /**
     * 促销库存
     */
    private Integer quantity;

    /**
     * 分类path
     */
    private String categoryPath;

    /**
     * 关联范围类型
     */
    private PromotionScopeType scopeType = PromotionScopeType.PORTION_GOODS;

    /**
     * 范围关联的ID
     */
    private String scopeId;
}