package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.api.constant.CouponType;
import com.chelvc.cloud.vehicle.api.constant.UserCouponStatus;
import com.chelvc.framework.database.entity.BasicEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 优惠券领取数据模型
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class UserCoupon extends BasicEntity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 优惠券ID
     */
    private Long couponId;

    /**
     * 优惠券类型
     */
    private CouponType type;

    /**
     * 使用起始时间
     */
    private Date startTime;

    /**
     * 使用截止时间
     */
    private Date endTime;

    /**
     * 是否是平台优惠券
     */
    private Boolean platformFlag;

    /**
     * 核销时间
     */
    private Date consumptionTime;

    /**
     * 用户优惠券状态
     */
    private UserCouponStatus status;

    /**
     * 优惠券
     */
    @TableField(exist = false)
    private Coupon coupon;
}
