package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.server.entity.CouponActivityItem;

import java.util.List;

/**
 * 优惠券活动项目业务操作接口
 *
 * @author qizai
 * @date 2023/11/12
 */
public interface CouponActivityItemService extends IService<CouponActivityItem> {

    /**
     * 获取优惠券活动关联优惠券列表
     *
     * @param activityId 优惠券活动ID
     * @return 优惠券关联优惠券列表
     */
    List<CouponActivityItem> listCouponActivityItems(Long activityId);

    /**
     * 根据优惠券id删除优惠活动关联信息项
     *
     * @param couponIds 优惠券id集合
     */
    void removeByCouponId(List<Long> couponIds);
}
