package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.param.PromotionGoodsQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Goods;
import com.chelvc.cloud.vehicle.server.entity.PromotionGoods;

import java.util.List;

/**
 * 促销商品业务操作接口
 *
 * @author qizai
 * @date 2023/11/13
 */
public interface PromotionGoodsService extends IService<PromotionGoods> {

    /**
     * 删除促销促销商品
     *
     * @param promotionIds 促销活动id
     */
    void deletePromotionGoods(List<Long> promotionIds);

    /**
     * 获取促销商品信息
     *
     * @param queryParam 查询参数
     * @return 促销商品列表
     */
    List<PromotionGoods> listFindAll(PromotionGoodsQueryParam queryParam);
}
