package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.CouponActivityItemMapper;
import com.chelvc.cloud.vehicle.server.entity.CouponActivityItem;
import com.chelvc.cloud.vehicle.server.service.CouponActivityItemService;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 优惠券活动项目业务操作实现
 *
 * @author qizai
 * @date 2023/11/12
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.CouponActivityItemService.class)
public class CouponActivityItemServiceImpl extends ServiceImpl<CouponActivityItemMapper, CouponActivityItem> implements CouponActivityItemService,
        com.chelvc.cloud.vehicle.api.service.CouponActivityItemService {

    @Override
    public List<CouponActivityItem> listCouponActivityItems(Long activityId) {
        return this.lambdaQuery().eq(CouponActivityItem::getActivityId, activityId).list();
    }

    @Override
    public void removeByCouponId(List<Long> couponIds) {
        this.remove(new LambdaQueryWrapper<CouponActivityItem>()
                .in(CouponActivityItem::getCouponId, couponIds));
    }
}
