package com.chelvc.cloud.vehicle.server.service.impl;

import com.chelvc.cloud.vehicle.api.constant.PromotionType;
import com.chelvc.cloud.vehicle.server.dao.FullDiscountMapper;
import com.chelvc.cloud.vehicle.server.entity.FullDiscount;
import com.chelvc.cloud.vehicle.server.service.FullDiscountService;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 满优惠业务操作实现
 *
 * @author qizai
 * @date 2023/11/14
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.FullDiscountService.class)
public class FullDiscountServiceImpl extends AbstractPromotionServiceImpl<FullDiscountMapper, FullDiscount> implements FullDiscountService,
        com.chelvc.cloud.vehicle.api.service.FullDiscountService {

    @Override
    public void deletePromotionGoods(List<Long> promotionIds) {
        this.removeByIds(promotionIds);
    }

    @Override
    public PromotionType getPromotionType() {
        return PromotionType.FULL_DISCOUNT;
    }
}
