package com.chelvc.cloud.vehicle.server.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.param.PromotionGoodsQueryParam;
import com.chelvc.cloud.vehicle.server.dao.PromotionGoodsMapper;
import com.chelvc.cloud.vehicle.server.entity.PromotionGoods;
import com.chelvc.cloud.vehicle.server.service.PromotionGoodsService;
import com.chelvc.framework.common.util.StringUtils;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Objects;

/**
 * 促销商品业务操作实现
 *
 * @author qizai
 * @date 2023/11/13
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.PromotionGoodsService.class)
public class PromotionGoodsServiceImpl extends ServiceImpl<PromotionGoodsMapper, PromotionGoods> implements PromotionGoodsService,
        com.chelvc.cloud.vehicle.api.service.PromotionGoodsService {

    @Override
    public void deletePromotionGoods(@NonNull List<Long> promotionIds) {
        this.removeByIds(promotionIds);
    }

    @Override
    public List<PromotionGoods> listFindAll(@NonNull PromotionGoodsQueryParam param) {
        return this.lambdaQuery()
                .eq(!Objects.isNull(param.getPromotionId()), PromotionGoods::getPromotionId, param.getPromotionId())
                .eq(!Objects.isNull(param.getPromotionType()), PromotionGoods::getPromotionType, param.getPromotionType())
                .like(StringUtils.nonEmpty(param.getGoodsName()), PromotionGoods::getGoodsName, param.getGoodsName())
                .like(StringUtils.nonEmpty(param.getCategoryPath()), PromotionGoods::getCategoryPath, param.getCategoryPath())
                .in(CollectionUtil.isNotEmpty(param.getPromotionIds()), PromotionGoods::getPromotionId, param.getPromotionIds()).list();
    }
}
